commit:     75c7cce8aeb36a362f150f8fc3de558575e859dd
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 17 18:06:24 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Thu Nov 17 18:34:02 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=75c7cce8

dev-python/zope-hookable: add 5.4

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/zope-hookable/Manifest                 |  1 +
 dev-python/zope-hookable/zope-hookable-5.4.ebuild | 47 +++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-python/zope-hookable/Manifest 
b/dev-python/zope-hookable/Manifest
index c122eb7a00c0..c104d7667a95 100644
--- a/dev-python/zope-hookable/Manifest
+++ b/dev-python/zope-hookable/Manifest
@@ -1,2 +1,3 @@
 DIST zope-hookable-5.3.gh.tar.gz 25302 BLAKE2B 
56ab933338a9a3fcc8c8a090111896d0b483909aba2235f9dbbadc4556cdac23f8d2a8d29b7081fe460e7afebb675032d05d2c7e5d00a9a97e2a1d6e20e186c7
 SHA512 
76ec43866c89a97efcccc4e312a6c3c4471c32ddd19ce4cae94ffd0a8f97f66871194ffbf45316965748d0e606a04af0ae8f2787a00c2e5d102c2df4dac9d6ae
+DIST zope-hookable-5.4.gh.tar.gz 25574 BLAKE2B 
09d257e7884f9800088e2b2d9f66967244aced695899dc272dc76835b6a4df520e6486626acb91511d961f82c3df8c054d13f08ab92b0055fc73edb1b67913da
 SHA512 
e109589dc67b155be99bceb5cb100ab1a728d3201126b2b17125054fc3b3f4f3424a11d28d222557ab74be3d67289e26dd6f3f161544970e09aad26e993e3103
 DIST zope.hookable-5.2.tar.gz 24004 BLAKE2B 
f1b64a906a849442437a3829d509210280066b41bc97fbedcd02b462fa9c7761910a7a71ed00430679f7c3ec9648c8a9ab5e88d4e8143018e44194d56611353a
 SHA512 
b04107acedcc245fa99a59de71ffeaabe270ec15eaac32df1f5433ca16ea568d60c272349c8c8d7e512dfadef4fc8fcebf63a62ee9c8607fc02505a4457e1ed3

diff --git a/dev-python/zope-hookable/zope-hookable-5.4.ebuild 
b/dev-python/zope-hookable/zope-hookable-5.4.ebuild
new file mode 100644
index 000000000000..e6323fc9044f
--- /dev/null
+++ b/dev-python/zope-hookable/zope-hookable-5.4.ebuild
@@ -0,0 +1,47 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Efficient creation of 'hookable' objects"
+HOMEPAGE="
+       https://pypi.org/project/zope.hookable/
+       https://github.com/zopefoundation/zope.hookable/
+"
+SRC_URI="
+       https://github.com/zopefoundation/zope.hookable/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+S=${WORKDIR}/${P/-/.}
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+BDEPEND="
+       test? (
+               dev-python/zope-testing[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+       # strip rdep specific to namespaces
+       sed -i -e "/'setuptools'/d" setup.py || die
+       distutils-r1_src_prepare
+}
+
+python_compile() {
+       distutils-r1_python_compile
+       find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+       eunittest -s 
"${BUILD_DIR}/install$(python_get_sitedir)/zope/hookable/tests"
+}

Reply via email to